Subject: Re: bug#12682: 24.2.50; make server-execute less noisy

From: Juanma Barranquero <[email-masked]>
Date: Sat, 20 Oct 2012 01:28:35 +0200

On Fri, Oct 19, 2012 at 6:46 PM, Glenn Morris <[email-masked]> wrote:

> Maybe it could respect emacsclient's --quiet option?

I don't think it's a good match. And Christopher likely wants to
silence the message in all situations.

The fact is that many Emacs functions show messages and we don't add
options to disable them. In this case it is trivial to add an advice
in his own's .emacs:

 (defadvice server-execute (around silence-server-execute activate compile)
   (with-temp-message ""
     ad-do-it))

and the messages still get logged on *Messages* in case there's
something else going on (or the advice can be more sofisticate and
check *Messages* to be sure than nothing untold is happening).

This is a wontfix IMO.

    Juanma